# List Supervisor releases

## Get all supervisor releases for a specific cpu architecture by slug (eg amd64/rpi/armv7hf/aarch64)

> \## List Supervisor releases Resource Fields\
> \
> \| Field |\
> \| :--- |\
> \| \`id\` |\
> \| \`raw\_version\` |\
> \
> \
> \---\
> \
> \`GET /v7/release\`\
> \
> To request a list of the supported supervisor releases for a particular cpu architecture, the \`CPU\_ARCHITECTURE\_SLUG\` parameter is required. Even though this query only selects the \`id\` and \`raw\_version\` fields, you can additionally specify any of the fields found in the release resource. The Authorization header is optional.\
> \
> \
> \### Usage Variations\
> \
> \--- \
> \#### Get all supervisor releases for a specific cpu architecture by ID\
> \`GET /v7/release?$select=id,raw\_version&$filter=(status eq 'success') and (is\_final eq true) and (is\_invalidated eq false) and (semver\_major gt 0) and (belongs\_to\_\_application/any(a:(startswith(a/slug,'balena\_os%2F') and endswith(a/slug,'-supervisor')) and ((a/is\_public eq true) and (a/is\_host eq false) and (a/is\_for\_\_device\_type/any(dt:dt/is\_of\_\_cpu\_architecture eq \<CPU\_ARCHITECTURE\_ID>)))))&$orderby=semver\_major desc,semver\_minor desc,semver\_patch desc,revision desc\`\
> \
> \--- \
> \#### Get a specific supervisor release version for a specific cpu architecture\
> \`GET /v7/release?$select=id,raw\_version&$filter=(status eq 'success') and (is\_final eq true) and (is\_invalidated eq false) and (semver\_major gt 0) and (belongs\_to\_\_application/any(a:(startswith(a/slug,'balena\_os%2F') and endswith(a/slug,'-supervisor')) and ((a/is\_public eq true) and (a/is\_host eq false) and (a/is\_for\_\_device\_type/any(dt:dt/is\_of\_\_cpu\_architecture/any(c:c/slug eq '\<CPU\_ARCHITECTURE\_SLUG>')))))) and (raw\_version eq '\<VERSION>')&$orderby=semver\_major desc,semver\_minor desc,semver\_patch desc,revision desc\`

```json
{"openapi":"3.0.0","info":{"title":"Balena API Spec","version":"7.0.0"},"servers":[{"url":"https://api.balena-cloud.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/v7/release#List_Supervisor_releases":{"get":{"tags":["List Supervisor releases"],"summary":"Get all supervisor releases for a specific cpu architecture by slug (eg amd64/rpi/armv7hf/aarch64)","description":"## List Supervisor releases Resource Fields\n\n| Field |\n| :--- |\n| `id` |\n| `raw_version` |\n\n\n---\n\n`GET /v7/release`\n\nTo request a list of the supported supervisor releases for a particular cpu architecture, the `CPU_ARCHITECTURE_SLUG` parameter is required. Even though this query only selects the `id` and `raw_version` fields, you can additionally specify any of the fields found in the release resource. The Authorization header is optional.\n\n\n### Usage Variations\n\n--- \n#### Get all supervisor releases for a specific cpu architecture by ID\n`GET /v7/release?$select=id,raw_version&$filter=(status eq 'success') and (is_final eq true) and (is_invalidated eq false) and (semver_major gt 0) and (belongs_to__application/any(a:(startswith(a/slug,'balena_os%2F') and endswith(a/slug,'-supervisor')) and ((a/is_public eq true) and (a/is_host eq false) and (a/is_for__device_type/any(dt:dt/is_of__cpu_architecture eq <CPU_ARCHITECTURE_ID>)))))&$orderby=semver_major desc,semver_minor desc,semver_patch desc,revision desc`\n\n--- \n#### Get a specific supervisor release version for a specific cpu architecture\n`GET /v7/release?$select=id,raw_version&$filter=(status eq 'success') and (is_final eq true) and (is_invalidated eq false) and (semver_major gt 0) and (belongs_to__application/any(a:(startswith(a/slug,'balena_os%2F') and endswith(a/slug,'-supervisor')) and ((a/is_public eq true) and (a/is_host eq false) and (a/is_for__device_type/any(dt:dt/is_of__cpu_architecture/any(c:c/slug eq '<CPU_ARCHITECTURE_SLUG>')))))) and (raw_version eq '<VERSION>')&$orderby=semver_major desc,semver_minor desc,semver_patch desc,revision desc`"}}}}
```
